XATopicConnectionFactory (Message Queue, 5.1 API Specification)
Date: 2019-01-27

com.sun.messaging

## Class XATopicConnectionFactory

- java.lang.Object
- - com.sun.messaging.AdministeredObject
  - - com.sun.messaging.BasicConnectionFactory
    - - com.sun.messaging.ConnectionFactory
      - - com.sun.messaging.XAConnectionFactory
        - - com.sun.messaging.XATopicConnectionFactory

- All Implemented Interfaces:
    java.io.Serializable, javax.jms.ConnectionFactory, javax.jms.TopicConnectionFactory, javax.jms.XAConnectionFactory, javax.jms.XATopicConnectionFactory, javax.naming.Referenceable

      public class XATopicConnectionFactory
      extends XAConnectionFactory
      implements javax.jms.TopicConnectionFactory, javax.jms.XATopicConnectionFactory

  An `XATopicConnectionFactory` is used to create XATopicConnections with a Java Message Service (JMS) Publish/Subscribe (Pub/Sub) provider.
  See Also:
    `javax.jms.XATopicConnectionFactory`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.sun.messaging.AdministeredObject

      `AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, storedVersion, VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XATopicConnectionFactory()`

  - ### Method Summary

    - ### Methods inherited from class com.sun.messaging.XAConnectionFactory

      `createXAConnection, createXAConnection, createXAContext, createXAContext, createXAQueueConnection, createXAQueueConnection, createXATopicConnection, createXATopicConnection, getContainerType`

    - ### Methods inherited from class com.sun.messaging.ConnectionFactory

      `createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, getReference`

    - ### Methods inherited from class com.sun.messaging.BasicConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext, getConnectionType, setConnectionType, setDefaultConfiguration, toString`

    - ### Methods inherited from class com.sun.messaging.AdministeredObject

      `dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperty, setReadOnly`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface javax.jms.XATopicConnectionFactory

      `createXATopicConnection, createXATopicConnection`

    - ### Methods inherited from interface javax.jms.XAConnectionFactory

      `createXAConnection, createXAConnection, createXAContext, createXAContext`

    - ### Methods inherited from interface javax.jms.TopicConnectionFactory

      `createTopicConnection, createTopicConnection`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Constructor Detail

    - #### XATopicConnectionFactory

          public XATopicConnectionFactory()

Copyright (c) 2010, 2017 Oracle and/or its affiliates. All rights reserved.